body {
    font-family: 'Poppins';
    background-color: #e9e9e9;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    flex-direction: column;
    overflow: hidden;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 5px;
}

.logo {
    height: 80px;
    margin-right: 15px;
    border-radius: 10px;
}

.underline-animate {
    position: relative;
    display: inline-block;
    color: #192F59;
    padding-bottom: 5px;
    font-size: 2.5rem;
}

.underline-animate::after {
    content: '';
    position: absolute;
    bottom: -10%;
    left: 50%;
    transform: translateX(-50%) scaleX(0);
    transform-origin: center;
    width: 100%;
    height: 3px;
    background-color: #192F59;
    animation: underlineGrow 2.5s ease forwards infinite;
}

@keyframes underlineGrow {
    from {
        transform: translateX(-50%) scaleX(0);
    }
    to {
        transform: translateX(-50%) scaleX(1);
    }
}

.container {
    background: rgba(0,0,0,0.05);
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.8);
    text-align: center;
    width: 350px;
    z-index: 2;
    backdrop-filter: blur(10px);
    font-family: 'Poppins';
    margin-top: 50px;
    animation: rollUp 2s ease-out forwards;
}

@keyframes rollUp {
    0% {
        transform: scaleY(0.2);
        opacity: 0;
    }
    50% {
        transform: scaleY(1.05);
        opacity: 1;
    }
    100% {
        transform: scaleY(1);
    }
}

h2 {
    margin-bottom: 20px;
    color: #192F59;
    font-size: 1.9rem;
}

form {
    display: flex;
    flex-direction: column;
}

input, select {
    margin: 10px 0;
    padding: 12px;
    font-size: 16px;
    border: 1px solid #000000;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
    background-color: rgba(255,255,255,0.1);
}

input::placeholder{
    color: black;
    letter-spacing: 2px;
}

input:focus, select:focus {
    border-color: #000;
    outline: none;
    box-shadow: 0 0 5px rgba(0, 86, 179, 0.2);
}

button {
    background: #286a3f;
    color: #fff;
    padding: 12px;
    font-size: 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s;
    font-weight: 500;
    font-family: 'Poppins';
    font-weight: bolder;
    margin-top: 0px;
    border: none;
}

button:hover {
    background: #192F59;
    color: #3db166;
}

p {
    margin-top: 15px;
    font-size: 18px;
}

a {
    color: #192F59;
    text-decoration: none;
    font-weight: 800;
}

a:hover {
    text-decoration: underline;
}

footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  text-align: center;
  padding: 10px;
}

#toast-container {
  position: fixed;
  top: 90px;
  right: 20px;
  z-index: 9999;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.toast {
  min-width: 250px;
  padding: 12px 16px;
  border-radius: 6px;
  font-size: 16px;
  font-weight: 900;
  animation: slideIn 0.4s ease, fadeOut 0.5s ease 3s forwards;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.toast-success {
    border: 2px dashed #3db166;
    background-color: rgba(0,255,0,0.2);
}

.toast-error {
    border: 2px dashed #f44336;
    background-color: rgba(255,0,0,0.2);
}   

@keyframes slideIn {
  from {
    transform: translateX(100%);
    opacity: 0;
  }
  to {
    transform: translateX(0%);
    opacity: 1;
  }
}

@keyframes fadeOut {
  to {
    opacity: 0;
    transform: translateX(100%);
  }
}

.otp-input-wrapper{
    display: flex;
    gap: 5px;
}

.otp-input-wrapper input{
    max-width: 25px;
}

@media (max-width: 480px) {
    .navbar{
        padding-left: 5px;
    }
    .logo {
        height: 70px;
        margin-left: 10px;
    }
    .underline-animate{
        font-size: 22px;
        width: 100%;
        text-align: center;
        margin-right: 10px;
    }
    .container{
        margin-top: 23%;
        width: 330px;
        padding: 20px;
    }
    h2{
        margin-top: 10px;
    }
    .toast {
        font-size: 12px;
        padding: 12px 10px;
        min-width: 150px;
    }
    .underline-animate::after{
        width: 95%;
    }
}

@media (max-width: 390px) {
    .navbar{
        padding-left: 5px;
    }
    .logo {
        height: 50px;
        margin-right: 5px;
    }
    .underline-animate{
        font-size: 19.5px;
        width: 100%;
        text-align: center;
    }
    .container{
        margin-top: 23%;
        width: 300px;
        padding: 20px;
    }
    h2{
        margin-top: 10px;
    }
    .toast {
        font-size: 12px;
        padding: 12px 10px;
        min-width: 150px;
    }
    .underline-animate::after{
        width: 90%;
    }
    .otp-input-wrapper input{
        max-width: 18px;
    }
}